# Get Booking Tax List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingTaxList`

Return the tax list for the venue booking.

#### Request Body

| Name      | Type    | Description                                         |
| --------- | ------- | --------------------------------------------------- |
| venueId   | integer | The id of the venue                                 |
| bookingId | integer | The id of the venue booking                         |
| perPage   | integer | The number of booking taxes to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 6,
        "start": 0,
        "perPage": 1,
        "count": 1
    },
    "results": [
        {
            "id": 648,
            "venueId": 1,
            "bookingId": 2,
            "venueTaxId": 1,
            "name": "GST",
            "type": 1,
            "appliesTo": 1,
            "amountType": 1,
            "amount": 7.5,
            "taxIds": [],
            "excludedTaxIds": [],
            "costcenterIds": [
                1,
                2,
            ],
            "calculateExclusively": false,
            "unitType": 1
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Booking Tax List`

```javascript
{
  "venueId": 1,
  "perPage":1,
  "bookingId": 2
}
```

### Returns

`A collection object with the following properties in the results`

| Property             | Type                                                                 | Description                                                                                                                                                                                                                                                                        |
| -------------------- | -------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                   | integer                                                              | The unique invoice identifier                                                                                                                                                                                                                                                      |
| venueId              | integer                                                              | The unique identifier of the venue belongs to the booking tax                                                                                                                                                                                                                      |
| bookingId            | integer                                                              | The unique identifier of the booking belongs to the booking tax                                                                                                                                                                                                                    |
| name                 | string                                                               | The name of Tax                                                                                                                                                                                                                                                                    |
| type                 | integer [Type](/venues/venuedata/get-tax-list.md)                    | The type of the tax. Whether Tax / Service Fee                                                                                                                                                                                                                                     |
| appliesTo            | integer [Applies To](/venues/venuedata/get-tax-list.md#applies-to)   | Whether the tax only applies to accommodation                                                                                                                                                                                                                                      |
| amountType           | integer [Amount Type](/venues/venuedata/get-tax-list.md#amount-type) | Tax or service fee amount / percent to apply on items. 1 = A percentage, 2 = An amount                                                                                                                                                                                             |
| amount               | double                                                               | Percentage / Amount of the tax                                                                                                                                                                                                                                                     |
| taxIds               | array                                                                | The taxes which are applied to the amount of the service fee                                                                                                                                                                                                                       |
| costcenterIds        | array                                                                | The cost centers to which the tax /service fee apply                                                                                                                                                                                                                               |
| excludedTaxIds       | array                                                                | The array of tax Ids which are excluded to apply on the booking                                                                                                                                                                                                                    |
| calculateExclusively | boolean                                                              | If enabled, the tax will not be included in the line item totals, only in the cost centre, booking and invoice totals                                                                                                                                                              |
| unitType             | integer [Unit Type](/venues/venuedata/get-tax-list.md#unit-type)     | The metric of which to calculate the units of tax to be charged. Capacity - Max occupancy of the room. Occupants - Number of guest staying in the room, calculated from capacity or multi-occupancy values if enabled. Room Nights - Total number of room nights for the room type |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-tax-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
